﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace WingMan.MouseKey
{
    public class KeyBindingExchange
    {
        [XmlIgnore] public static readonly XmlSerializer XmlSerializer =
            new XmlSerializer(typeof(KeyBindingExchange));

        public KeyBindingExchange()
        {
        }

        public KeyBindingExchange(string nick, List<KeyBinding> keyBindings)
        {
            Nick = nick;
            KeyBindings = keyBindings;
        }

        public string Nick { get; set; }

        public List<KeyBinding> KeyBindings { get; set; }
    }
}
